MPQC::Chemistry_QC_ModelFactory_impl Class Reference

Symbol "MPQC.Chemistry_QC_ModelFactory" (version 0.2) More...

`#include <MPQC_Chemistry_QC_ModelFactory_Impl.hh>`

## Public Member Functions

| Chemistry_QC_ModelFactory_impl (struct MPQC_Chemistry_QC_ModelFactory__object *s)
void | _ctor ()
void | _dtor ()
void | setServices (::gov::cca::Services services) throw ( ::gov::cca::CCAException )
| Starts up a component presence in the calling framework. More...
void | set_theory (const ::std::string &theory) throw ()
| Set the theory name for Model's created with get_model. More...
void | set_basis (const ::std::string &basis) throw ()
| Set the basis set name for Model's created with get_model. More...
void | set_molecule (::Chemistry::Molecule molecule) throw ()
| Set the Molecule to use for Model's created with get_model. More...
void | set_integral_factory (::Chemistry::QC::GaussianBasis::IntegralEvaluatorFactory intfact) throw ()
| Set the object to use to compute integrals for Model's created with get_model. More...
::Chemistry::QC::Model | get_model () throw ( ::sidl::BaseException )
| Returns a newly created Model. More...
int32_t | finalize () throw ()
| This can be called when this Model object is no longer needed. More...

## Static Public Member Functions

static void | _load ()

## Detailed Description

Symbol "MPQC.Chemistry_QC_ModelFactory" (version 0.2)

Chemistry_QC_ModelFactory_impl implements a component interface for supplying quantum chemistry models.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

For use directly in a framework, the parameter port recognizes the following parameters:

`string theory`

  Method to employ. The default is `HF`.

`string basis`

  Gaussian basis set to use. The default is `STO-3G`.

`string molecule_filename`

  Name of file providing molecule data. See cca-chem documentation for formatting details.

`string keyval_filename`

  Name of file providing MPQC keyval input.

`string integral_buffer`

  Type of integral buffer to use: `opaque` or `array`. See `IntegralEvaluator` documentation for details. The default is `opaque`.

These parameters must be set by the client for embedded use.

## Member Function Documentation

int32_t MPQC::Chemistry_QC_ModelFactory_impl::finalize | ( |  | ) | throw ()

This can be called when this Model object is no longer needed.

No other members may be called after finalize.

::Chemistry::QC::Model MPQC::Chemistry_QC_ModelFactory_impl::get_model | ( |  | ) | throw ( ::sidl::BaseException )

Returns a newly created Model.

Before get_model can be called, set_theory, set_basis, and set_molecule must be called.

Returns
  The new Model instance.

void MPQC::Chemistry_QC_ModelFactory_impl::set_basis | ( | const ::std::string & | basis | ) | throw ()

Set the basis set name for Model's created with get_model.

Parameters

  basis | The basis set name to use, for example, aug-cc-pVDZ.

void MPQC::Chemistry_QC_ModelFactory_impl::set_integral_factory | ( | ::Chemistry::QC::GaussianBasis::IntegralEvaluatorFactory | intfact | ) | throw ()

Set the object to use to compute integrals for Model's created with get_model.

Parameters

  intfact | An object of type GaussianBasis.IntegralEvaluatorFactory.

void MPQC::Chemistry_QC_ModelFactory_impl::set_molecule | ( | ::Chemistry::Molecule | molecule | ) | throw ()

Set the Molecule to use for Model's created with get_model.

Parameters

  molecule | An object of type Molecule.

void MPQC::Chemistry_QC_ModelFactory_impl::set_theory | ( | const ::std::string & | theory | ) | throw ()

Set the theory name for Model's created with get_model.

Parameters

  theory | A string giving the name of the theory, for example, B3LYP.

void MPQC::Chemistry_QC_ModelFactory_impl::setServices | ( | ::gov::cca::Services | services | ) | throw ( ::gov::cca::CCAException )

Starts up a component presence in the calling framework.

Parameters

  Svc | the component instance's handle on the framework world. Contracts concerning Svc and setServices:

The component interaction with the CCA framework and Ports begins on the call to setServices by the framework.

This function is called exactly once for each instance created by the framework.

The argument Svc will never be nil/null.

Those uses ports which are automatically connected by the framework (so-called service-ports) may be obtained via getPort during setServices.

The documentation for this class was generated from the following file:

- MPQC_Chemistry_QC_ModelFactory_Impl.hh